System.Web 2.0.0.0 System.Configuration.ConfigurationElement To be added.

Provides functionality to parse a particular file type and generate code during compilation of a dynamic resource. This class cannot be inherited.

- Constructor
  To be added.

  Creates an instance of a class, initialized to the provided values.

  The file extension of the dynamic resource used during compilation.
  The type that represents the instance to use when parsing and compiling the given extension.
  2.0.0.0
- Method
  System.Boolean ``

  The serializer uses this method to determine whether the same object already exists in the parent collection and whether it needs to be serialized at a lower level if it is not inherited.

  Determines whether the specified build provider object is equal to the current object.

  true if the objects are equal; otherwise, false.

  The build provider object to compare with the current object. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("extension", DefaultValue="", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired | System.Configuration.ConfigurationPropertyOptions.IsKey)
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added. To be added.

  Gets or sets the file extension to map to during compilation of a dynamic resource.

  2.0.0.0
- Method
  System.Int32 To be added.

  Generates the hash code for the build provider.

  An integer representing the hash code for the build provider.

  2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationProperty("type", DefaultValue="", Options=System.Configuration.ConfigurationPropertyOptions.IsRequired)
  System.Configuration.StringValidator(MinLength=1)
  System.String To be added. To be added.

  Gets or set the comma-separated class and assembly combination that indicates the instance to use.

  2.0.0.0